Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibraryObjectDataSharedState

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectDataSharedState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class S_LibraryObjectDataSharedState

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Shared state for a S_LibraryObjectData.

Warning! For internal use only. Please check with authors before considering any change to this class.

See Also:
  Serialized Form
(Published)

Constructor Summary
`protected` | `S_LibraryObjectDataSharedState()` Constructs a S_LIbraryObjectDataSharedState.

Method Summary
`void` | `addFolderItemIds(java.lang.Long[] ids, SortSpecification sort)` Sets the shared state representing the ids of the items in a Folder.
`void` | `addReferencingFolderIds(java.lang.Long[] ids, SortSpecification sort)` Adds a set of ids of the Folders containing a PublicObject to the shared state.
`protected void` | `applySharedStateMutations(S_LibrarySession session)` Applies modifications to cached properties hashtable.
`protected boolean` | `canPurge()` Returns whether this instance should be purged when it is determined that it has not been recently used.
`java.lang.Object` | `clone()` Clone an instance (need public scope).
`AuditFolderPath` | `getAuditFolderPath()` Gets the shared state representing for the AuditFolderPath for the associated Folder.
`java.util.Hashtable` | `getAuditTypeEntryTable()` Gets the shared state representing the Hashtable resolution of an AuditTypeList's set of AuditTypeEntries.
`java.lang.Long[]` | `getCompositeAclIds()` Gets the shared state representing the ids of the composite ACLs of an ACL.
`java.lang.Long[]` | `getDirectAncestorGroupIds()` Gets the shared state representing the ids of the direct ancestors of a directoryobject.
`AttributeValue` | `getDirectSubclassesValue()` Gets the shared state representing the set of direct subclasses of a ClassObject, stored as an AttributeValue of KOs.
`java.lang.Long[]` | `getFolderItemIds(LibrarySessionInterface sess, SortSpecification sort)` Gets the shared state representing the ids of the items in a Folder.
`java.util.Hashtable` | `getFolderItemsKeyedByName()` Gets the shared state representing the Hashtable resolution of a Folder's items (keyed by item name, forced to upper case).
`java.lang.Long[]` | `getGroupDirectMemberIds()` Gets the shared state representing the ids of the direct members of a group.
`java.lang.Boolean` | `getHasSubFoldersState()` Returns the hasSubFolders shared state.
`java.lang.Long[]` | `getLifecyclePolicyEntryIds()` Gets the shared state representing the ids of the LifecyclePolicyEntries of a LifecyclePolicy.
`java.util.Hashtable` | `getMediaCustomSecureParameters()` Gets the secure parameters of a MediaCustom index, as a Hashmap of string values hashed by string key.
`java.util.Hashtable` | `getNegativeFolderItemsKeyedByName()` Gets the shared state representing the Hashtable resolution of the set of items not in a Folder (keyed by item name, forced to upper case).
`java.lang.Long[]` | `getPolicyListElementIds()` Gets the shared state representing the ids of the PolicyListElements of a PolicyList.
`java.lang.Long` | `getPrimaryUserProfileId()` Gets the shared state representing the id of the PrimaryUserProfile Id of a DirectoryUser.
`java.util.Hashtable` | `getPropertyBundleProperties()` Gets the shared state representing the Hashtable resolution of a PropertyBundle's properties.
`java.util.Vector` | `getPropertyIds()` Gets the shared state representing the ids of the properties of a property bundle.
`java.lang.Long[]` | `getPublicObjectCategoryIds()` Gets the shared state representing the ids of the Categories of a PublicObject.
`java.lang.Long[]` | `getPublicObjectLinkIds()` Gets the shared state representing the ids of the Links of a PublicObject.
`java.lang.Long[]` | `getReferencingFolderIds(LibrarySessionInterface sess, SortSpecification sort)` Gets the shared state representing the ids of the Folders containing a PublicObject.
`java.lang.Long[]` | `getSchemaObjectCategoryIds()` Gets the shared state representing the ids of the Categories of a SchemaObject.
`java.lang.Long[]` | `getSystemObjectCategoryIds()` Gets the shared state representing the ids of the Categories of a SystemObject.
`java.lang.Long[]` | `getVersionDescriptionIds()` Gets the shared state representing the ids of the VersionDescriptions of a VersionSeries.
`java.lang.Long[]` | `getVersionSeriesIds()` Gets the shared state representing the ids of the VersionSerieses of a Family.
`static boolean` | `isEventAffectingSharedState(int eventSubtype)` Return true if the specified "special" event subtype is one that affects shared state.
`protected void` | `resetAllState()` Clear all members.
`void` | `resetSharedState(IfsEvent event)` Resets appropriate subelements of the shared state because of an event.
`void` | `setAuditFolderPath(AuditFolderPath afp)` Sets the shared state representing the AuditFolderPath for the associated Folder.
`void` | `setAuditTypeEntryTable(java.util.Hashtable ht)` Sets the shared state representing the Hashtable resolution of an AuditTypeList's set of AuditTypeEntries.
`void` | `setCompositeAclIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the composite ACLs of an ACL.
`void` | `setDirectAncestorGroupIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the direct ancestors of a directoryobject.
`void` | `setDirectSubclassesValue(AttributeValue av)` Sets the shared state representing the set of direct subclasses of a ClassObject, stored as an AttributeValue of KOs.
`void` | `setFolderItemsKeyedByName(java.util.Hashtable ht)` Sets the shared state representing the Hashtable resolution of a Folder's items (keyed by item name, forced to upper case).
`void` | `setGroupDirectMemberIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the direct members of a group.
`void` | `setHasSubFoldersState(boolean hasSubFolders)` Sets the new value for the hasSubFolders shared state.
`void` | `setLifecyclePolicyEntryIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the LifecyclePolicyEntries of a LifecyclePolicy.
`void` | `setMediaCustomSecureParameters(java.util.Hashtable sps)` Sets the secure parameters of a MediaCustom index, as a Hashmap of string values hashed by string key.
`void` | `setNegativeFolderItemsKeyedByName(java.util.Hashtable ht)` Sets the shared state representing the Hashtable resolution of the set of items not in a Folder (keyed by item name, forced to upper case).
`void` | `setPolicyListElementIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the PolicyListElements of a PolicyList.
`void` | `setPrimaryUserProfileId(java.lang.Long id)` Sets the shared state representing the id of the PrimaryUserProfile Id of a DirectoryUser.
`void` | `setPropertyBundleProperties(java.util.Hashtable ht)` Sets the shared state representing the Hashtable resolution of a PropertyBundle's properties.
`void` | `setPropertyIds(java.util.Vector idsVector)` Sets the shared state representing the ids of the properties of a property bundle.
`void` | `setPublicObjectCategoryIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the Categories of a PublicObject.
`void` | `setPublicObjectLinkIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the Links of a PublicObject.
`void` | `setSchemaObjectCategoryIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the Categories of a SchemaObject.
`void` | `setSystemObjectCategoryIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the Categories of a SystemObject.
`void` | `setVersionDescriptionIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the VersionDescription of a VersionSeries.
`void` | `setVersionSeriesIds(java.lang.Long[] ids)` Sets the shared state representing the ids of the VersionSerieses of a Family.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_LibraryObjectDataSharedState

    protected S_LibraryObjectDataSharedState()

  Constructs a S_LIbraryObjectDataSharedState.

Method Detail

### canPurge

    protected final boolean canPurge()
                              throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Returns whether this instance should be purged when it is determined that it has not been recently used.

  Returns:
    whether the item can be purged
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getPublicObjectCategoryIds

    public java.lang.Long[] getPublicObjectCategoryIds()
                                                throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the Categories of a PublicObject.

  Returns:
    the Category ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPublicObjectCategoryIds

    public void setPublicObjectCategoryIds(java.lang.Long[] ids)
                                    throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the Categories of a PublicObject.

  Parameters:
    `ids` - the Category ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSystemObjectCategoryIds

    public java.lang.Long[] getSystemObjectCategoryIds()
                                                throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the Categories of a SystemObject.

  Returns:
    the system Category ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setSystemObjectCategoryIds

    public void setSystemObjectCategoryIds(java.lang.Long[] ids)
                                    throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the Categories of a SystemObject.

  Parameters:
    `ids` - the SystemCategory ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSchemaObjectCategoryIds

    public java.lang.Long[] getSchemaObjectCategoryIds()
                                                throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the Categories of a SchemaObject.

  Returns:
    the schema Category ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setSchemaObjectCategoryIds

    public void setSchemaObjectCategoryIds(java.lang.Long[] ids)
                                    throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the Categories of a SchemaObject.

  Parameters:
    `ids` - the SchemaCategory ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPublicObjectLinkIds

    public java.lang.Long[] getPublicObjectLinkIds()
                                            throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the Links of a PublicObject.

  Returns:
    the Link ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPublicObjectLinkIds

    public void setPublicObjectLinkIds(java.lang.Long[] ids)
                                throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the Links of a PublicObject.

  Parameters:
    `ids` - the Link ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getVersionDescriptionIds

    public java.lang.Long[] getVersionDescriptionIds()
                                              throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the VersionDescriptions of a VersionSeries.

  Returns:
    the VersionDescription ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setVersionDescriptionIds

    public void setVersionDescriptionIds(java.lang.Long[] ids)
                                  throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the VersionDescription of a VersionSeries.

  Parameters:
    `ids` - the VersionDescription ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getVersionSeriesIds

    public java.lang.Long[] getVersionSeriesIds()
                                         throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the VersionSerieses of a Family.

  Returns:
    the VersionSeries ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setVersionSeriesIds

    public void setVersionSeriesIds(java.lang.Long[] ids)
                             throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the VersionSerieses of a Family.

  Parameters:
    `ids` - the VersionSeries ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyIds

    public java.util.Vector getPropertyIds()
                                    throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the properties of a property bundle.

  Returns:
    the property ids vector
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPropertyIds

    public void setPropertyIds(java.util.Vector idsVector)
                        throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the properties of a property bundle.

  Parameters:
    `idsVector` - the property ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyBundleProperties

    public java.util.Hashtable getPropertyBundleProperties()
                                                    throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the Hashtable resolution of a PropertyBundle's properties.

  Returns:
    the hashed representation of a PropertyBundle's properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPropertyBundleProperties

    public void setPropertyBundleProperties(java.util.Hashtable ht)
                                     throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the Hashtable resolution of a PropertyBundle's properties.

  Parameters:
    `ht` - the hashed representation of a PropertyBundle's properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getGroupDirectMemberIds

    public java.lang.Long[] getGroupDirectMemberIds()
                                             throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the direct members of a group.

  Returns:
    the direct member ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setGroupDirectMemberIds

    public void setGroupDirectMemberIds(java.lang.Long[] ids)
                                 throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the direct members of a group.

  Parameters:
    `ids` - the direct member ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDirectAncestorGroupIds

    public java.lang.Long[] getDirectAncestorGroupIds()
                                               throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the direct ancestors of a directoryobject.

  Returns:
    the direct ancestor ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDirectAncestorGroupIds

    public void setDirectAncestorGroupIds(java.lang.Long[] ids)
                                   throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the direct ancestors of a directoryobject.

  Parameters:
    `ids` - the direct ancestor ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPrimaryUserProfileId

    public java.lang.Long getPrimaryUserProfileId()
                                           throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the id of the PrimaryUserProfile Id of a DirectoryUser.

  Returns:
    the PrimaryUserProfile id
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPrimaryUserProfileId

    public void setPrimaryUserProfileId(java.lang.Long id)
                                 throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the id of the PrimaryUserProfile Id of a DirectoryUser.

  Parameters:
    `id` - the PrimaryUserProfile id
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getCompositeAclIds

    public java.lang.Long[] getCompositeAclIds()
                                        throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the composite ACLs of an ACL.

  Returns:
    the composite ACLs of an ACL
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setCompositeAclIds

    public void setCompositeAclIds(java.lang.Long[] ids)
                            throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the composite ACLs of an ACL.

  Parameters:
    `ids` - the composite ACLs of an ACL
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicyListElementIds

    public java.lang.Long[] getPolicyListElementIds()
                                             throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the PolicyListElements of a PolicyList.

  Returns:
    the policylist ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPolicyListElementIds

    public void setPolicyListElementIds(java.lang.Long[] ids)
                                 throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the PolicyListElements of a PolicyList.

  Parameters:
    `ids` - the policylist element ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLifecyclePolicyEntryIds

    public java.lang.Long[] getLifecyclePolicyEntryIds()
                                                throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the LifecyclePolicyEntries of a LifecyclePolicy.

  Returns:
    the LifecyclePolicyEntry ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setLifecyclePolicyEntryIds

    public void setLifecyclePolicyEntryIds(java.lang.Long[] ids)
                                    throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the LifecyclePolicyEntries of a LifecyclePolicy.

  Parameters:
    `ids` - the LifecyclePolicyEntry ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getMediaCustomSecureParameters

    public java.util.Hashtable getMediaCustomSecureParameters()
                                                       throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the secure parameters of a MediaCustom index, as a Hashmap of string values hashed by string key.

  Returns:
    the secure parameters, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMediaCustomSecureParameters

    public void setMediaCustomSecureParameters(java.util.Hashtable sps)
                                        throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the secure parameters of a MediaCustom index, as a Hashmap of string values hashed by string key.

  Parameters:
    `sps` - the secure parameters, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAuditTypeEntryTable

    public java.util.Hashtable getAuditTypeEntryTable()
                                               throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the Hashtable resolution of an AuditTypeList's set of AuditTypeEntries.

  The Hashtable is keyed by operation type (the Integer), and has a value of an AuditTypeEntryValue.

  Returns:
    the hashed representation of an AuditTypeList's AuditTypeEntries, keyed by operation type.
  Throws:
    `IfsException` - if the operation fails

### setAuditTypeEntryTable

    public void setAuditTypeEntryTable(java.util.Hashtable ht)
                                throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the Hashtable resolution of an AuditTypeList's set of AuditTypeEntries.

  See javadoc for `getAuditTypeEntryTable` which describes the structure of the Hashtable.

  Parameters:
    `ht` - the hashed representation of an AuditTypeList, keyed by operation type.
  Throws:
    `IfsException` - if the operation fails

### getDirectSubclassesValue

    public AttributeValue getDirectSubclassesValue()
                                            throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the set of direct subclasses of a ClassObject, stored as an AttributeValue of KOs.

  Returns:
    the value representing a set of ClassObjects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDirectSubclassesValue

    public void setDirectSubclassesValue(AttributeValue av)
                                  throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the set of direct subclasses of a ClassObject, stored as an AttributeValue of KOs.

  Parameters:
    `av` - the value representing a set of ClassObjects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getFolderItemIds

    public java.lang.Long[] getFolderItemIds(LibrarySessionInterface sess,
                                             SortSpecification sort)
                                      throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the items in a Folder.

  Returns:
    the Folder item ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getHasSubFoldersState

    public java.lang.Boolean getHasSubFoldersState()
                                            throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Returns the hasSubFolders shared state. If there is no state, it returns null;

  Returns:
    has sub folders shared state
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addFolderItemIds

    public void addFolderItemIds(java.lang.Long[] ids,
                                 SortSpecification sort)
                          throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the ids of the items in a Folder.

  Parameters:
    `ids` - the Folder item ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setHasSubFoldersState

    public void setHasSubFoldersState(boolean hasSubFolders)
                               throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the new value for the hasSubFolders shared state.

  Parameters:
    `hasSubFolders` - the new value for the state
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getReferencingFolderIds

    public java.lang.Long[] getReferencingFolderIds(LibrarySessionInterface sess,
                                                    SortSpecification sort)
                                             throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the ids of the Folders containing a PublicObject.

  Parameters:
    `sess` - the session sontext
    `sort` - how the IDs are to be sorted
  Returns:
    the Folder ids
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addReferencingFolderIds

    public void addReferencingFolderIds(java.lang.Long[] ids,
                                        SortSpecification sort)
                                 throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Adds a set of ids of the Folders containing a PublicObject to the shared state.

  Parameters:
    `ids` - the Folder item ids
    `sort` - how they are sorted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getFolderItemsKeyedByName

    public java.util.Hashtable getFolderItemsKeyedByName()
                                                  throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the Hashtable resolution of a Folder's items (keyed by item name, forced to upper case).

  Returns:
    the hashed representation of a Folder's items
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setFolderItemsKeyedByName

    public void setFolderItemsKeyedByName(java.util.Hashtable ht)
                                   throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the Hashtable resolution of a Folder's items (keyed by item name, forced to upper case).

  Parameters:
    `ht` - the hashed representation of a Folder's items.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getNegativeFolderItemsKeyedByName

    public java.util.Hashtable getNegativeFolderItemsKeyedByName()
                                                          throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing the Hashtable resolution of the set of items not in a Folder (keyed by item name, forced to upper case).

  Returns:
    the hashed representation of a items not in a Folder
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setNegativeFolderItemsKeyedByName

    public void setNegativeFolderItemsKeyedByName(java.util.Hashtable ht)
                                           throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the Hashtable resolution of the set of items not in a Folder (keyed by item name, forced to upper case).

  Parameters:
    `ht` - the hashed representation of a items not in a Folder
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAuditFolderPath

    public AuditFolderPath getAuditFolderPath()
                                       throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Gets the shared state representing for the AuditFolderPath for the associated Folder.

  Returns:
    the AuditFolderPath for the target folder
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAuditFolderPath

    public void setAuditFolderPath(AuditFolderPath afp)
                            throws IfsException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Sets the shared state representing the AuditFolderPath for the associated Folder.

  Parameters:
    `afp` - the AuditFolderPath
  Throws:
    `IfsException` - if the operation fails
  (Published)

### clone

    public final java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

  Description copied from class: `S_LibraryObjectDataSharedState`
  Clone an instance (need public scope).

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    the clone
  Throws:
    `java.lang.CloneNotSupportedException`
  (Published)

### isEventAffectingSharedState

    public static boolean isEventAffectingSharedState(int eventSubtype)

  Description copied from class: `S_LibraryObjectDataSharedState`
  Return true if the specified "special" event subtype is one that affects shared state.

  Parameters:
    `eventSubtype` - the event subtype that triggered the reset
  Returns:
    true if this event subtype affects shared state
  (Published)

### resetSharedState

    public void resetSharedState(IfsEvent event)

  Description copied from class: `S_LibraryObjectDataSharedState`
  Resets appropriate subelements of the shared state because of an event.

  Parameters:
    `event` - event that caused the shared state reset.
  (Published)

### applySharedStateMutations

    protected void applySharedStateMutations(S_LibrarySession session)

  Description copied from class: `S_LibraryObjectDataSharedState`
  Applies modifications to cached properties hashtable. This will get called from S_LOData.fetchOrCreateSharedState() if the state already exists and the caller indicates that the mutations be applied. This method is currently used only for LO data that correspond to to a property bundle.

  Parameters:
    `session` - LibrarySession
  (Published)

### resetAllState

    protected void resetAllState()

  Description copied from class: `S_LibraryObjectDataSharedState`
  Clear all members.

  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD